Difference between revisions of "Games"

From Mumble Wiki
Jump to: navigation, search
(Manual positional audio plugin)
(Supported games)
Line 31: Line 31:
 
The following table displays which games positional audio is available for, from which game version on (/for which version), for what platform and if extended support is available.
 
The following table displays which games positional audio is available for, from which game version on (/for which version), for what platform and if extended support is available.
  
Games that provide native positional data via the Link plugin are marked in <span style="background-color:#e8e8ff">blue</span> (that means they won’t get outdated). Outdated plugins are marked in <span style="background-color:#D00000">red</span>.<br>
+
Games that provide native positional data via the Link plugin are marked in <span style="background-color:#e8e8ff">blue</span> (that means they won’t get outdated). Outdated plugins are marked in <span style="background-color:#FFFFC0">yellow</span>.<br>
 
''No'' means that the games don't use the extended positional audio features that were introduced with Mumble 1.2. Move the pointer over to see more info about the extended support for a specific plugin (if available).
 
''No'' means that the games don't use the extended positional audio features that were introduced with Mumble 1.2. Move the pointer over to see more info about the extended support for a specific plugin (if available).
  
Line 38: Line 38:
 
{|border="0" cellpadding="2" cellspacing="1" style="background:#e2e2e2;" class="sortable"
 
{|border="0" cellpadding="2" cellspacing="1" style="background:#e2e2e2;" class="sortable"
 
! Game
 
! Game
! Supported Game Version
+
! Supported game version
 
! Platform
 
! Platform
! Extended Support (Context, Identity)?
+
! Extended support (Context, identity)?
  
 
|-style="background-color:#f8f8ff"
 
|-style="background-color:#f8f8ff"
Line 48: Line 48:
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [http://www.arma2.com ArmA 2]
 
| [http://www.arma2.com ArmA 2]
| 1.08
+
| [http://steamcommunity.com/games/arma2/announcements/detail/1027014441254296137 1.08] while the latest is [http://steamcommunity.com/games/arma2/announcements/detail/1370438673676192803 1.10]
 
| Windows
 
| Windows
 
| No
 
| No
Line 78: Line 78:
 
| style="background-color:#abf8a1" | <span title="Context based on host IP address and port. Identity: Team, Squad, Squad Leader, Commander">Yes</span>
 
| style="background-color:#abf8a1" | <span title="Context based on host IP address and port. Identity: Team, Squad, Squad Leader, Commander">Yes</span>
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [http://www.battlefield.com/battlefield-2142 Battlefield 2142]
 
| [http://www.battlefield.com/battlefield-2142 Battlefield 2142]
| 1.50
+
| [http://largedownloads.ea.com/pub/patches/BF2142/ 1.50] while the latest is [http://largedownloads.ea.com/pub/patches/BF2142/ 1.512]
 
| Windows
 
| Windows
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
Line 114: Line 114:
 
| style="background-color:#abf8a1" | [[#Source_Engine|<span title='See "Source Engine"'>Yes</span>]]
 
| style="background-color:#abf8a1" | [[#Source_Engine|<span title='See "Source Engine"'>Yes</span>]]
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [http://borderlandsthegame.com Borderlands]
 
| [http://borderlandsthegame.com Borderlands]
| 1.40
+
| [http://borderlands.wikia.com/wiki/Patch_1.4.0 1.4.0] while the latest is [http://borderlands.wikia.com/wiki/Patch_1.4.1 1.4.1]
 
| Windows
 
| Windows
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
 
| style="background-color:#ddffdd" | <span title="Based on host IP address and port">Context only</span>
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [http://store.steampowered.com/app/49520 Borderlands 2]
 
| [http://store.steampowered.com/app/49520 Borderlands 2]
| 1.8.3
+
| [http://borderlands.wikia.com/wiki/Patch_1.8.X_(Borderlands_2) 1.8.3] while the latest is [http://borderlands.wikia.com/wiki/Patch_1.8.X_(Borderlands_2) 1.8.4]
 
| Windows
 
| Windows
 
| style="background-color:#ddffdd" | <span title="Character name">Identity only</span>
 
| style="background-color:#ddffdd" | <span title="Character name">Identity only</span>
Line 200: Line 200:
 
|-style="background-color:#e8e8ff"
 
|-style="background-color:#e8e8ff"
 
| [http://ezquake.sf.net ezQuake]
 
| [http://ezquake.sf.net ezQuake]
| 2.0 alpha
+
| >= 2.0 alpha
 
| Any
 
| Any
 
| No
 
| No
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| Garry's Mod 11
 
| Garry's Mod 11
 
| Build 5692
 
| Build 5692
Line 254: Line 254:
 
|-style="background-color:#e8e8ff"
 
|-style="background-color:#e8e8ff"
 
| [https://ioquake3.org ioquake3]
 
| [https://ioquake3.org ioquake3]
| ?
+
| >= [https://github.com/ioquake/ioq3/commit/0ee3960225 commit 0ee3960225]
 
Need to set ''cl_useMumble'' to ''1''.
 
Need to set ''cl_useMumble'' to ''1''.
 
| Any
 
| Any
Line 283: Line 283:
 
| style="background-color:#abf8a1" | <span title="Context based on Server ID. Identity: Host IP address and port, Server name, Map name and Player nickname">Yes</span>
 
| style="background-color:#abf8a1" | <span title="Context based on Server ID. Identity: Host IP address and port, Server name, Map name and Player nickname">Yes</span>
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [https://www.lotro.com Lord of the Rings Online]
 
| [https://www.lotro.com Lord of the Rings Online]
| 3.6.0.8025 - Update 6 - Rise of Isengard
+
| [https://lotro-wiki.com/index.php/Patches Update 4] while the latest is [https://lotro-wiki.com/index.php/Patches Update 18]
 
| Windows
 
| Windows
 
| style="background-color:#ddffdd" | <span title="Based on region and instance">Partial context only</span>
 
| style="background-color:#ddffdd" | <span title="Based on region and instance">Partial context only</span>
Line 315: Line 315:
 
|-style="background-color:#e8e8ff"
 
|-style="background-color:#e8e8ff"
 
| [http://www.openarena.ws Open Arena]
 
| [http://www.openarena.ws Open Arena]
| ?
+
| >= [https://github.com/OpenArena/engine/commit/0ee3960225 commit 0ee3960225]
 +
Need to set ''cl_useMumble'' to ''1''.
 
| Any
 
| Any
 
| style="background-color:#abf8a1" | Yes
 
| style="background-color:#abf8a1" | Yes
Line 418: Line 419:
 
|-style="background-color:#e8e8ff"
 
|-style="background-color:#e8e8ff"
 
| [http://www.warsow.net/ Warsow]
 
| [http://www.warsow.net/ Warsow]
| >= 0.6 <sup>[http://www.warsow.net/forum/thread/t/191271#post-191271 ref (0.6 changelog)]</sup><br/>Improved >= 1.0 <sup>[http://www.warsow.net/forum/thread/t/206086#post-206086 ref]</sup><br>
+
| >= [http://www.warsow.net/forum/thread/t/191271#post-191271 0.6]<br>Improved >= [http://www.warsow.net/forum/thread/t/206086#post-206086 1.0]
 
Need to set ''cl_mumble'' to ''1''.
 
Need to set ''cl_mumble'' to ''1''.
| Any
 
| No
 
 
|-style="background-color:#e8e8ff"
 
| [http://www.warsow.net/forum/thread/t/158000#post-158000 Warsow Mumble Mod]
 
| Any
 
 
| Any
 
| Any
 
| No
 
| No
  
 
|-style="background-color:#f8f8ff"
 
|-style="background-color:#f8f8ff"
| Wolfenstein: Enemy Territory
+
| [https://www.etlegacy.com/ Wolfenstein: Enemy Territory]
 
| 2.60b
 
| 2.60b
 
| Windows
 
| Windows
 
| style="background-color:#ddffdd" | <span title="Based on host IP address, map and team">Context only</span>
 
| style="background-color:#ddffdd" | <span title="Based on host IP address, map and team">Context only</span>
  
|-style="background-color:#f8f8ff"
+
|-style="background-color:#FFFFC0"
 
| [http://blizzard.com/games/wow World of Warcraft]
 
| [http://blizzard.com/games/wow World of Warcraft]
| 6.2.2
+
| [http://wow.gamepedia.com/Patch_6.2.2 6.2.2] while the latest is [http://wow.gamepedia.com/Patch_7.0.3 7.0.3]
 
| Windows
 
| Windows
 
| style="background-color:#abf8a1"| Yes
 
| style="background-color:#abf8a1"| Yes
Line 443: Line 438:
 
|-style="background-color:#e8e8ff"
 
|-style="background-color:#e8e8ff"
 
| [https://github.com/yEngine/YEng YEngine Next Generation] (if using Y.mumble)
 
| [https://github.com/yEngine/YEng YEngine Next Generation] (if using Y.mumble)
| >=commit b4011706e7
+
| >= [https://github.com/yEngine/YEng/commit/b4011706e7 commit b4011706e7]
 
| Linux
 
| Linux
 
| style="background-color:#abf8a1" | Yes
 
| style="background-color:#abf8a1" | Yes
 
|}
 
|}
 
"Outdated" plugins are plugins that work only for the "Supported" version mentioned, most plugins continue to work even with non-matching "Game" & "Supported" versions.
 
  
 
== Manual positional audio plugin ==
 
== Manual positional audio plugin ==

Revision as of 23:18, 19 August 2016


Overlay

Our overlay is not technically game-specific but rendering-engine-specific. Thus it works for all games using supported rendering APIs.

For more information on the overlay, see the respective page about the Overlay.

Positional audio

Shows Audiowaves with Postional Audio in cyberspace

Please note that Mumble works with all games as a regular voice chat application. Those listed on this page are the games for which we are providing positional sound support, so that the voice of your teammates comes from their direction in game.

This feature can be enabled as follows:

  • 1.) Check "Advanced" in the Configure|Settings menu
  • 2.) Go to Plugins and check "Link to Game and Transmit Position"

If you deselected Enable positional audio during setup you have to re-enable it in the wizard.

Just because your game says it is a different version from the plugin does not necessarily mean that the plugin will not work.

It is possible that some plugins are outdated in the current release; in that case please check the lists below.

If there is no update for the plugin, please report it here.

For additional info on what positional audio is and how it works in Mumble, see here.

If you want to add support for a game and you are able to modify the source of this game you can use the Link plugin. If you cannot modify the source of the game you want to add, this guide should help. For an overall look at retrieving positional data from a game, see here.

Supported games

The following table displays which games positional audio is available for, from which game version on (/for which version), for what platform and if extended support is available.

Games that provide native positional data via the Link plugin are marked in blue (that means they won’t get outdated). Outdated plugins are marked in yellow.
No means that the games don't use the extended positional audio features that were introduced with Mumble 1.2. Move the pointer over to see more info about the extended support for a specific plugin (if available).

Note: Windows plugins work on Wine!

Game Supported game version Platform Extended support (Context, identity)?
Age of Chivalry Build 4104 Windows Context only
ArmA 2 1.08 while the latest is 1.10 Windows No
ArmA 2: Operation Arrowhead (Mod) >= 1.60 Windows Yes
ArmA 3 (Mod) >= 0.5 Any Yes
Battlefield 1942 1.61b Windows No
Battlefield 2 1.50 Windows Yes
Battlefield 2142 1.50 while the latest is 1.512 Windows Context only
Battlefield 3 Build 1147186 - End Game DLC Windows Yes
Battlefield 4 1.7.2.45672 Windows Yes
Battlefield Bad Company 2 Build 795745 Windows No
Battlefield Heroes  ? Windows No
Black Mesa Any Any Yes
Borderlands 1.4.0 while the latest is 1.4.1 Windows Context only
Borderlands 2 1.8.3 while the latest is 1.8.4 Windows Identity only
Breach 1.1.0 Windows No
Call of Duty 2 1.3 Windows No
Call of Duty 4: Modern Warfare 1.7.568 Windows Context only
Call of Duty: Modern Warfare 2 Multiplayer 1.2.208 Windows No
Call of Duty: Modern Warfare 2 Special Ops 1.1 Windows No
Call of Duty: World at War 1.7.1263 Windows No
Counter-Strike 1.6 1.6 Windows Context only
Counter-Strike: Global Offensive >= Aug 27 2014 ref Any Yes
Counter-Strike: Source >= Feb 5 2013 ref Any Yes
Day of Defeat: Source >= 1.0.0.46 (01:24:57 Oct 26 2012 (5101)) ref Any Yes
Dystopia Build 4104 Windows Context only
Enemy Territory: Quake Wars 1.50 Windows Context only
ezQuake >= 2.0 alpha Any No
Garry's Mod 11 Build 5692 Windows Context only
Grand Theft Auto IV 1.0.7.0 Windows No
Grand Theft Auto V 1.35 Windows Identity only
Guild Wars Build 36001 Windows Partial context only
Guild Wars 2 >= Build 2/26/13 refref2 Any Yes
Half-Life 2: Deathmatch >= 1.0.0.37 (01:24:57 Oct 26 2012 (5101)) ref Any Yes
Insurgency  ? Any Yes
Insurgency: Modern Infantry Combat Build 4044 Windows Context only
ioquake3 >= commit 0ee3960225

Need to set cl_useMumble to 1.

Any No
Just Cause 2 1.0.0.2 Windows No
League of Legends 1.0.0.145 Windows Context only
Left 4 Dead Build 4440 Windows No
Left 4 Dead 2 2.1.4.6 Windows, Linux Yes
Lord of the Rings Online Update 4 while the latest is Update 18 Windows Partial context only
Minecraft Mod >= Beta 1.3 Any Yes (moddable)
Minetest ext. patch Any Yes
Miscreated >= Patch #34 ref Any Yes
Nuclear Dawn >= 6.9 ref Any Yes
Open Arena >= commit 0ee3960225

Need to set cl_useMumble to 1.

Any Yes
Quake Live 1069 Windows Yes
Red Eclipse Any Any Yes
Regnum-Online  ? Any No
Revenge of the Cats: Ethernet >= prototype 1.6 Any No
Rigs of Rods >= 0.38.20 Any Yes
Rocket League 1.21 Windows No
Sauerbraten >= 2008_06_17_ctf_editionref Any No
Source Engine (TF2, DOD:S, HL2:DM, BMS) >= ?ref Any Yes
Star Trek Online ST.0.20100208b.4 Windows Yes
Staxel Any Windows Yes
Sub Rosa 0.07b Windows No
Team Fortress 2 >= 1.2.3.5 (01:24:57 Oct 26 2012 (5101))

ref

Any Yes
Tesseract >= First Edition Any Yes
Unreal Tournament (UT99) 436 Windows Partial context only
Unreal Tournament 2004 Build 3369 Windows No
Unreal Tournament 3 2.1 Windows No
Warsow >= 0.6
Improved >= 1.0

Need to set cl_mumble to 1.

Any No
Wolfenstein: Enemy Territory 2.60b Windows Context only
World of Warcraft 6.2.2 while the latest is 7.0.3 Windows Yes
YEngine Next Generation (if using Y.mumble) >= commit b4011706e7 Linux Yes

Manual positional audio plugin

The configuration window of the manual positional audio plugin.

In addition to the mentioned plugins, there is a special plugin called manual placement plugin. It does not require a game, instead you can configure the plugin itself to set your own position from which other people in the same channel can hear you.

1 Set yourself on the canvas from where others should hear you. Make sure to choose a position other than 0, 0, 0 or you won't hear or send positionally.

2 Set your own orientation where you want your virtual avatar to look at on a 360° Scale.

3 Set your own azimuth (if you look up or down while you talk).

4 Set the context of your avatar. Only the people with the same context will hear you positionally.

5 Set the identity.

6 Link or unlink the plugin to transfer the settings to the server for processing.

7 Enable or disable the plugin.

8 Separate the plugin settings window. This is useful to change the positional audio settings without keeping the Mumble settings window opened.

9 Reset values for all settings.

10 Close the window.